Subject: 30.0.50; macos.texi still references ns-popup-font-panel

From: David Caldwell <[email-masked]>
Date: Sat, 11 Mar 2023 13:19:25 -0800

ns-popup-font-panel was removed in 9370a4763aacbb9278b5be9c92a2484e3652bc29,
but is still mentioned in doc/emacs/macos.texi (line 206) (emacs-29 and the
master branch). Maybe delete the whole @subsection?

I had to hunt around for a while to figure out if it was a configuration
error on my part or if Emacs had changed. Should it get a short line in
NEWS?  Something like

"ns-popup-font has been removed. Use M-x menu-set-font instead."

-David

[snipping all the runtime details, since this is a doc/source issue]